// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.

/*
 * Created on Aug 30, 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package com.ibm.wsspi.batch;
/**
 * Results Algorithms are an optional feature of  the batch programming model. A results algorithm 
 * allows for two types of actions to occur at the end of a batch step:
 * <ul>
 *  <li> To influence the return code of the batch job based on the return code of the batch step that just ended. 
 *      Note that there are two types of return codes: the return code of an individual batch step and the return 
 *      code of the batch job to which the step belongs.
 * </li>
 *
 *  <li> To provide a place holder for triggers or actions to take based on various step return codes.
 *  </li>
 *
 * Results Algorithms are applied to a batch job via xJCL. They are declared in xJCL and then applied to batch steps. 
 * Note that multiple results algorithms can be applied to a batch step. 
 *
 * At the end of a batch step, the batch execution environment checks the xJCL of the batch job to see which results 
 * algorithms to invoke. For each results algorithm specified, the Batch Execution Environment passes to the algorithm the return code of the 
 * batch step - the integer returned by the destroyJobStep method of the step - and the current return code of the batch Job 
 * in the grid endpoint database. The results algorithm can then take any action based upon the return codes passed in. 
 * The algorithm then passes a return code for the batch job back to the Batch Execution Environment which is persisted to the grid endpoint database 
 * as the current return code of the batch job; this return code can be the same as the return code that the Batch Execution Environment 
 * passed to the results algorithm in the first place or it can be different depending on logic coded into the results algorithm.
 * 
 * This SPI can be used to create custom Result Algorithms.
 *
 * @ibm-spi
 */
public interface ResultsAlgorithm extends com.ibm.batch.spi.ResultsAlgorithm {
	
        
}
